#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kasts
Version: 25.04.2
Release:        %mkrel %{rel}
Summary:        Kirigami-based podcast player
License:        GPLv2 and GPLv2+ and GPLv3+ and BSD and LGPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/kasts
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Syndication)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6BreezeIcons)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(taglib)

Requires:       kirigami
Requires:       kirigami-addons

%description
Kasts is a convergent podcast application.

Its main features are:
 - Episode management through play queue
 - Sync playback positions with other clients through gpodder.net or
   gpodder-nextcloud
 - Variable playback speed
 - Search for podcasts
 - Full system integration: e.g. inhibit system suspend while listening

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_libdir}/libKMediaSession.so
%{_qt6_qmldir}/org/kde/kmediasession/
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_kf6_iconsdir}/hicolor/scalable/actions/media-playback-cloud.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Jun 05 2025 daviddavid <daviddavid> 25.04.2-1.mga10
+ Revision: 2188386
- New version 25.04.2

* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2175959
- New version 25.04.0

* Sun Mar 30 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2171681
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163423
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147111
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136512
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123750
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116921
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2113997
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105496
- New version 24.08.2

* Fri Oct 04 2024 daviddavid <daviddavid> 24.08.1-2.mga10
+ Revision: 2103216
- rebuild for new taglib 2.0.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097355
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087558
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085052
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073162
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2071658
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058561
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045107
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037605
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033733
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025079
- New version 24.01.85

* Wed Nov 22 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2009208
- New version 24.01.75

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990349
- New version 23.08.1

* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961475
- initial package kasts

